View Issue Details

IDProjectCategoryView StatusLast Update
0004352SymmetricDSImprovementpublic2020-06-04 13:55
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004352: Sybase dialect should enable row locking and set identity gap
DescriptionSybase dialect should enable row-level locking on runtime tables, similar to what SQL-Server dialect is doing today:

alter table sym_data lock datarows
alter table sym_data_event lock datarows
alter table sym_outgoing_batch lock datarows

Sybase dialect should set the identity gap on sym_data to a reasonable number of IDs to skip when recycling the server. When Sybase recycles, it can by default skip millions of IDs that causes routing to stop moving forward.

sp_chgattribute sym_data, 'identity_gap', 1000
Tagsdialect: sybase

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 900b6515

2020-04-28 16:44:04

admin

Details Diff
0004352: Sybase dialect should enable row locking and set identity gap
0004352
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2020-04-16 11:04 elong New Issue
2020-04-28 14:13 elong Tag Attached: dialect: sybase
2020-04-28 16:45 elong Assigned To => elong
2020-04-28 16:45 elong Status new => resolved
2020-04-28 16:45 elong Resolution open => fixed
2020-04-28 16:45 elong Product Version 3.11.0 => 3.12.0
2020-04-28 16:45 elong Fixed in Version => 3.12.0
2020-04-28 16:45 elong Target Version => 3.12.0
2020-05-26 14:48 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 900b6515